pkg-repgen(8)

NAME
pkg-repgen - generate a package repository for pkg-get

SYNOPSIS
pkg-repgen [options] [directory [package1...packageN]]

DESCRIPTION
pkg-repgen generates files needed by a pkg-get(8) package repository. It also generates a package index suitable for web browsing.

USAGE
Run ’pkg-repgen <dir>’ to generate the whole repository of packages found in <dir>. Or to accomplish the same, ’cd <dir> && pkg-repgen’. Any additional arguments after <dir> will be interpreted as the specific package names you want updated (this is especially useful with large repositories). Even when individual packages are specified, the entire directory is still processed to collect all the readmes and {pre,post}-install scripts.

OPTIONS

--header=FILE
    insert FILE at the beginning of the html index

--title=title
    use the specified title for the index page

--prtdir=DIR
    use alternative prtdir for the prt-get metadata lookup (dependencies, description, install scripts, readme). This option tells prt-get to behave as if its config file contained the single line prtdir DIR; all other directives in /etc/prt-get.conf are ignored.

    If multiple ports collections all dump their built packages into the common directory where you are running pkg-repgen, then this option will omit metadata, readmes, and install scripts for any ports not found in DIR. (Every package will still be indexed, but placeholder metadata "None" and "N.A." will appear for Maintainer, Description, and Dependencies when the corresponding port is outside DIR.) These omissions lead to bogus output on the client machine running ’pkg-get depends’ or ’pkg-get printf’. Use pkg_installed(1) in conjunction with --prtdir=/usr/ports/installed to avoid an incomplete repository index.

--no-pkgmk-conf
    look for packages matching any supported compression mode, not just the current setting in pkgmk.conf

EXAMPLES
cd /home/sip/packages && pkg-repgen

pkg-repgen /home/sip/packages

pkg-repgen . qt6-base qt6-tools

FILES
/usr/share/pkg-get/style.html

To use a common style for both portspage and pkg-get, you can create under /usr/share/pkg-get a symbolic link to ../portspage/style.html, or vice-versa. Keeping independent directories allows you to make the two types of repositories more visually distinguishable when viewed in a web browser, even though prt-utils and pkg-get install initially identical style sheets.

AUTHORS
Simone Rota <sip@varlock.com>, John McQuah <jmcquah@disroot.org>

html index code adapted from Jukka Heino's portspage

SEE ALSO
httpup-repgen(8), pkg-get(8), prt-get(8)